aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6
diff options
context:
space:
mode:
Diffstat (limited to 'chapter6')
-rw-r--r--chapter6/backup.sh2
-rw-r--r--chapter6/cleanup.sh6
2 files changed, 4 insertions, 4 deletions
diff --git a/chapter6/backup.sh b/chapter6/backup.sh
index 0f474d6..0cbd314 100644
--- a/chapter6/backup.sh
+++ b/chapter6/backup.sh
@@ -9,7 +9,7 @@ else
echo -ne "${GRN}Backing up ${YLW}${LFS}${GRN} to ${YLW}${FILE}${RST}... "
pushd "${LFS}" > /dev/null || exit 1
- sudo XZ_OPTS="${NUMPROCS} -e" tar -cJpf /home/"${USER}"/"${FILE}" "${DIRS}" & pid=$!
+ sudo XZ_OPTS="-T${NUMPROCS} -e" tar -cJpf "${HOME}"/"${FILE}" "${DIRS}" & pid=$!
spinner "$pid"
retval=$?
if [ "$retval" -ne 0 ]; then
diff --git a/chapter6/cleanup.sh b/chapter6/cleanup.sh
index abe4b0a..8d31264 100644
--- a/chapter6/cleanup.sh
+++ b/chapter6/cleanup.sh
@@ -9,9 +9,9 @@ else
find "${LFS}"/usr/lib -name \*.la -delete >/dev/null 2>&1
find "${LFS}"/usr/libexec -name \*.la -delete >/dev/null 2>&1
- rm -rf /usr/share/doc >/dev/null 2>&1
- rm -rf /usr/share/info >/dev/null 2>&1
- rm -rf /usr/share/man >/dev/null 2>&1
+ rm -rf "${LFS}"/usr/share/doc >/dev/null 2>&1
+ rm -rf "${LFS}"/usr/share/info >/dev/null 2>&1
+ rm -rf "${LFS}"/usr/share/man >/dev/null 2>&1
strip --strip-debug "${LFS}"S/usr/lib/* >/dev/null 2>&1
strip --strip-unneeded "${LFS}"/usr/bin/* >/dev/null 2>&1